Le php s’exécute aléatoirement dans les posts (Créer un compte)

  • WordPress :5.2
  • Statut : non résolu
7 sujets de 1 à 7 (sur un total de 7)
  • Auteur
    Messages
  • #2298836
    vieactu
    Participant
    Initié WordPress
    4 contributions

    Bonjour à toutes et à tous,

    Ma configuration WP actuelle :
    – Version de WordPress : 5.3.2
    – Version de PHP/MySQL : 7.2.19 / 5.5.30
    – Thème utilisé : news-mix-lite
    – Extensions en place :
    – Adresse du site : http://www.vieactuelle.fr
    – Nom de l’hébergeur : Apache

    Problème(s) rencontré(s) :

    Je me creuse les méninges depuis un moment.

    J’utilise commentics pour les commentaires (car j’ai longtemps été en statique avant de passer sur WP). Depuis que je suis passé sur WP, j’utilise exec-php ou allow php execute pour autoriser le php et ça a toujours fonctionné.

    Dernièrement j’ai eu quelques bugs liés aux versions php (erreur 500) et j’ai mis à jour en passant en 7.2 sur ovh.

    Depuis, impossible d’executer le php sur les anciens posts. Le code y figure pourtant.

    Le pire, c’est que si je copie un ancien post avec son code pour exécuter le php dans un nouveau post, ça ne fonctionne pas.

    Ca fonctionne, par exemple, sur

    Les meilleures façons d’être belle sans maquillage

    Mais ça ne fonctionne pas sur

    Soja pour grossir : farine et graines de soja

    Pourtant c’est le même codage. J’ai regardé dans la BDD et je ne vois pas non plus de différence (parfois ça autorise en fonction de l’auteur mais là c’est le même, et ça n’expliquerait pas pourquoi quand je copie le contenu d’un ancien post dans un nouveau post, ce qui équivaut à un nouveau post, ça ne fonctionne pas non plus). Je comprendrai que ça ne marche pas du tout mais aléatoirement c’est étonnant.

    Bref mon enquête piétinée, seul le sage pouvait m’aider !

    Merci par avance 🙂

     

     

    #2298841
    PhiLyon
    Modérateur
    Maître WordPress
    25013 contributions

    Bonjour.

    Sur la page du thème https://fr.wordpress.org/themes/news-mix-lite/ il est noté

    Ce thème n’a pas été mis à jour depuis plus de 2 ans. Il peut ne plus être maintenu ou pris en charge, et peut avoir des problèmes de compatibilité lorsqu’il est utilisé avec des versions récentes de WordPress.

    Dernière mise à jour : 23 mars 2016.

    C’est sûrement la raison de tes soucis.

    Tes extensions sont à jour ?

    🙂

     

    #2298843
    PhiLyon
    Modérateur
    Maître WordPress
    25013 contributions

    Passe ton PHP en 7.3 également.

    🙂

    #2298856
    vieactu
    Participant
    Initié WordPress
    4 contributions

    Bonjour Philyon et merci pour ton retour rapide !

    J’ai changé la version php plusieurs fois et rien n’y fait.

    Quant à la version du thème, j’ai changé de thème pour tester et j’ai le même problème.

    Merci par avance 🙂 on va trouver !

    #2298897
    PhiLyon
    Modérateur
    Maître WordPress
    25013 contributions

    Tes extensions sont à jour ?

    🙂

    #2298920
    vieactu
    Participant
    Initié WordPress
    4 contributions

    Oui tout est à jour. Et j’ai désactivé chaque plugin pour voir si ça influait ou pas mais visiblement non.

    C’est du cluedo ce problème… pourquoi ça s’execute sur les nouveaux posts mais pas sur les anciens…. ce sera jouissif de trouver.

    #2305016
    vieactu
    Participant
    Initié WordPress
    4 contributions

    Bonjour à tous et bon courage pour le confinement 🙂

    Pas de solution ? Que me conseillez vous ?

    Merci à vous !

7 sujets de 1 à 7 (sur un total de 7)
  • Vous devez être connecté pour répondre à ce sujet.